<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" ToolsVersion="4.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProductVersion>8.0.30703</ProductVersion>
    <SchemaVersion>2.0</SchemaVersion>
    <ProjectGuid>{28444C86-1B41-4558-BA27-DCF32B2B1E0F}</ProjectGuid>
    <OutputType>Library</OutputType>
    <RootNamespace>Ntp.Analyzer</RootNamespace>
    <AssemblyName>Ntp.Analyzer</AssemblyName>
    <ReleaseVersion>0.3</ReleaseVersion>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug</OutputPath>
    <DefineConstants>DEBUG;</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <ConsolePause>false</ConsolePause>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>none</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release</OutputPath>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <ConsolePause>false</ConsolePause>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Server|AnyCPU' ">
    <Optimize>false</Optimize>
    <OutputPath>bin\Server</OutputPath>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="System" />
    <Reference Include="System.Core" />
    <Reference Include="System.ServiceProcess" />
    <Reference Include="System.Xml" />
    <Reference Include="System.Data" />
    <Reference Include="System.Drawing" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="Graph\HostGraph.cs" />
    <Compile Include="Graph\GraphBase.cs" />
    <Compile Include="Graph\PeerGraph.cs" />
    <Compile Include="Graph\DispersionGraph.cs" />
    <Compile Include="Render\Renderer.cs" />
    <Compile Include="Render\HtmlRenderer.cs" />
    <Compile Include="Render\IHtmlObject.cs" />
    <Compile Include="Statistics\StatusBuilder.cs" />
    <Compile Include="Export\StreamDestination.cs" />
    <Compile Include="Export\FileStreamDestination.cs" />
    <Compile Include="Export\DirectoryStreamDestination.cs" />
    <Compile Include="Export\IStreamGenerator.cs" />
    <Compile Include="Statistics\SummeryBuilder.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="Config\ServerConfiguration.cs" />
    <Compile Include="Config\ServerSubConfiguration.cs" />
    <Compile Include="Config\Graph\DispersionGraphConfiguration.cs" />
    <Compile Include="Config\Graph\GraphBaseConfiguration.cs" />
    <Compile Include="Config\Graph\HostGraphConfiguration.cs" />
    <Compile Include="Config\Graph\PeerGraphConfiguration.cs" />
    <Compile Include="Config\Page\HostPageConfiguration.cs" />
    <Compile Include="Config\Page\HostSummeryPageConfiguration.cs" />
    <Compile Include="Config\Page\PageGraphConfiguration.cs" />
    <Compile Include="Config\Page\PeerPageConfiguration.cs" />
    <Compile Include="Config\Page\PeerSummeryPageConfiguration.cs" />
    <Compile Include="Config\Stats\HostStatConfiguration.cs" />
    <Compile Include="Config\Stats\PeerStatConfiguration.cs" />
    <Compile Include="Config\Stats\StatsConfiguration.cs" />
    <Compile Include="Config\Configuration.cs" />
    <Compile Include="Page\DefaultHostPageBuilder.cs" />
    <Compile Include="Page\BootstrapHostPageBuilder.cs" />
    <Compile Include="Render\Host\DefaultHostPageRender.cs" />
    <Compile Include="Render\Host\BootstrapHostPageRender.cs" />
    <Compile Include="Render\Host\BootstrapHostTableRender.cs" />
    <Compile Include="Render\Host\BootstrapHostGraphRender.cs" />
    <Compile Include="Config\Page\PageConfigurationBase.cs" />
    <Compile Include="Render\Summery\BootstrapSummeryGraphRender.cs" />
    <Compile Include="Render\Summery\BootstrapSummeryPageRender.cs" />
    <Compile Include="Page\BootstrapPeerSummeryPageBuilder.cs" />
    <Compile Include="Config\Navigation\MenuConfiguration.cs" />
    <Compile Include="Config\Navigation\MenuItemConfiguration.cs" />
    <Compile Include="Config\Navigation\DropdownItemConfiguration.cs" />
    <Compile Include="Config\Navigation\ILinkable.cs" />
    <Compile Include="Config\Navigation\PageMenuItemConfiguration.cs" />
    <Compile Include="Config\Navigation\LinkMenuItemConfiguration.cs" />
    <Compile Include="Page\DefaultPeerSummeryPageBuilder.cs" />
    <Compile Include="Config\Navigation\HeadMenuItemConfiguration.cs" />
    <Compile Include="Config\Navigation\SpacerMenuItemConfiguration.cs" />
    <Compile Include="Config\Navigation\HeaderMenuItemConfiguration.cs" />
    <Compile Include="Render\Peer\BootstrapPeerPageRender.cs" />
    <Compile Include="Render\Peer\BootstrapPeerInfoRender.cs" />
    <Compile Include="Render\Peer\BootstrapPeerGraphRender.cs" />
    <Compile Include="Page\BootstrapPeerPageBuilder.cs" />
    <Compile Include="Page\BootstrapAboutPageBuilder.cs" />
    <Compile Include="Render\BootstrapAboutPageRender.cs" />
    <Compile Include="Config\Page\AboutPageConfiguration.cs" />
    <Compile Include="Render\Graph\BootstrapGrapPageRender.cs" />
    <Compile Include="Render\BootstrapPageRender.cs" />
    <Compile Include="Render\HtmlObjectRender.cs" />
    <Compile Include="Render\Host\DefaultHostTableRender.cs" />
    <Compile Include="Render\Host\DefaultHostGraphRender.cs" />
    <Compile Include="Render\Peer\DefaultPeerGraphRender.cs" />
    <Compile Include="Render\Peer\DefaultPeerInfoRender.cs" />
    <Compile Include="Render\Peer\DefaultPeerPageRender.cs" />
    <Compile Include="Render\Summery\DefaultPeerSummeryGraphRender.cs" />
    <Compile Include="Render\Summery\DefaultPeerSummeryPageRender.cs" />
    <Compile Include="Render\BootstrapMenuRender.cs" />
    <Compile Include="Render\Host\HostLineRender.cs" />
    <Compile Include="Page\DefaultPeerPageBuilder.cs" />
    <Compile Include="Page\PageBuilderBase.cs" />
    <Compile Include="Config\Page\PeerGraphPageConfiguration.cs" />
    <Compile Include="Config\Page\HostGraphPageConfiguration.cs" />
    <Compile Include="Page\GraphPageBuilder.cs" />
    <Compile Include="Config\Page\GraphPageConfiguration.cs" />
    <Compile Include="Config\Page\Collection\SummeryCollection.cs" />
    <Compile Include="Config\Destination\FileCollection.cs" />
    <Compile Include="Config\Destination\DirectoryCollection.cs" />
    <Compile Include="Config\Destination\DestinationCollection.cs" />
    <Compile Include="Config\Destination\WebLinkCollection.cs" />
    <Compile Include="Export\WebLink.cs" />
    <Compile Include="Config\Destination\GraphSetConfiguration.cs" />
    <Compile Include="Render\IHtmlExtension.cs" />
    <Compile Include="Config\Stats\HostIOStatConfiguration.cs" />
    <Compile Include="Config\Graph\TrafficGraphConfiguration.cs" />
    <Compile Include="Graph\TrafficGraph.cs" />
    <Compile Include="Interface\IDispersionGraphConfiguration.cs" />
    <Compile Include="Interface\IGraphBaseConfiguration.cs" />
    <Compile Include="Interface\IHostGraphConfiguration.cs" />
    <Compile Include="Interface\IPeerGraphConfiguration.cs" />
    <Compile Include="Interface\ITrafficGraphConfiguration.cs" />
    <Compile Include="Config\Root\DatabaseConfiguration.cs" />
    <Compile Include="Config\Root\NotifyConfiguration.cs" />
    <Compile Include="Config\Root\ReadingBulkConfiguration.cs" />
    <Compile Include="Config\Root\ListenerConfiguration.cs" />
    <Compile Include="Config\Net\EndPointConfiguration.cs" />
    <Compile Include="Config\Root\ClusterConfiguration.cs" />
    <Compile Include="Config\Root\NodeConfiguration.cs" />
    <Compile Include="Export\FtpStreamDestination.cs" />
    <Compile Include="Config\Stats\ServerType.cs" />
  </ItemGroup>
  <Import Project="$(MSBuildBinPath)\Microsoft.CSharp.targets" />
  <ItemGroup>
    <Folder Include="Render\" />
    <Folder Include="Graph\" />
    <Folder Include="Page\" />
    <Folder Include="Statistics\" />
    <Folder Include="Render\Graph\" />
    <Folder Include="Export\" />
    <Folder Include="Render\Peer\" />
    <Folder Include="Render\Host\" />
    <Folder Include="Render\Summery\" />
    <Folder Include="Config\Navigation\" />
    <Folder Include="Config\Page\Collection\" />
    <Folder Include="Config\Destination\" />
    <Folder Include="Interface\" />
    <Folder Include="Config\Root\" />
    <Folder Include="Config\Net\" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\Ntp.Analyzer.Data\Ntp.Analyzer.Data.csproj">
      <Project>{8263BEAB-1610-4F82-9FC0-84421E5AB6B0}</Project>
      <Name>Ntp.Analyzer.Data</Name>
    </ProjectReference>
    <ProjectReference Include="..\Ntp.Config\Ntp.Config.csproj">
      <Project>{43A1A769-6ED9-4AE1-821A-43F97814968C}</Project>
      <Name>Ntp.Config</Name>
    </ProjectReference>
    <ProjectReference Include="..\Ntp.Analyzer.Objects\Ntp.Analyzer.Objects.csproj">
      <Project>{02912378-E62D-4445-BA30-F56D3ABE9DA2}</Project>
      <Name>Ntp.Analyzer.Objects</Name>
    </ProjectReference>
    <ProjectReference Include="..\Ntp.Analyzer.Log\Ntp.Analyzer.Log.csproj">
      <Project>{909C8729-ED63-4603-85EA-34A1FC4D63D9}</Project>
      <Name>Ntp.Analyzer.Log</Name>
    </ProjectReference>
    <ProjectReference Include="..\Ntp.Data\Ntp.Data.csproj">
      <Project>{03F3B0D9-AC35-43E3-9303-87A71FB73CD1}</Project>
      <Name>Ntp.Data</Name>
    </ProjectReference>
    <ProjectReference Include="..\Ntp.Process\Ntp.Process.csproj">
      <Project>{CCF0EE0C-E3E4-4A75-AFEB-C709ED51E90F}</Project>
      <Name>Ntp.Process</Name>
    </ProjectReference>
    <ProjectReference Include="..\NPlot\NPlot.csproj">
      <Project>{C2DEBED1-FE91-4929-B686-8E920731E88C}</Project>
      <Name>NPlot</Name>
    </ProjectReference>
  </ItemGroup>
</Project>